unit About;

interface

uses forms, StdCtrls, classes, graphics, controls, ShellAPI, windows;

type lazha = class
     procedure OkClick(Sender: TObject);       
     procedure LabMouseLeave(Sender: TObject);
     procedure LabMouseEnter(Sender: TObject);
     procedure LabClick(Sender: TObject);
     procedure LabMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
     procedure OnMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
     procedure Formclose(Sender: TObject; var Action: TCloseAction);
     procedure AboutShow(Sender: TObject);
end;

procedure ShowAbout;

 var form2:tform;
     temp:lazha;
     lab2: tlabel;

implementation

uses unit1;

procedure ShowAbout;
var lab1,lab3:tlabel;
    but1:tbutton; i:byte;
begin
TrigPlay:=false;
temp:=lazha.Create;

for i:=0 to Sinthez1.PopupMenu1.Items.Count-2 do Sinthez1.PopupMenu1.Items[i].Visible:=false;
Sinthez1.PopupMenu1.Items[Sinthez1.PopupMenu1.Items.Count-1].Visible:=true;

form2:=tform.Create(application.Owner);
form2.Width:=380;
form2.Height:=145;
form2.Top:=Sinthez1.Top+31;
form2.left:=Sinthez1.left+36;
form2.Caption:=' About MIDI Synthesizer';
form2.BorderIcons:=[biSystemMenu];
form2.BorderStyle:=bssingle;
form2.Color:=clwhite;
//form2.Color:=$00F0EFF8;
form2.OnClose:=temp.Formclose;
form2.OnMouseDown:=temp.OnMouseDown;
form2.OnShow:=temp.AboutShow;

lab1:=tlabel.Create(form2);
lab1.Parent:=form2;
lab1.Font.Size:=10;
lab1.Font.Style:=lab1.Font.Style+[fsbold];
lab1.Top:=83;
lab1.Left:=180;
lab1.Caption:='Mail me:';
lab1.OnMouseDown:=temp.OnMouseDown;

lab2:=tlabel.Create(form2);
lab2.Parent:=form2;
lab2.Left:=250;
lab2.Top:=80;
lab2.Font.Size:=12;
lab2.Caption:='pust@ukr.net';
lab2.OnMouseEnter:=temp.LabMouseEnter;
lab2.OnMouseLeave:=temp.LabMouseLeave;
lab2.OnMouseDown:=temp.LabMouseDown;
lab2.OnClick:=temp.LabClick;

lab3:=tlabel.Create(form2);
lab3.Parent:=form2;
lab3.Font.Size:=10;
lab3.Top:=25;
lab3.Left:=25;
lab3.Font.Style:=lab3.Font.Style+[fsbold];
lab3.Caption:='This crazy program was made by Prosolver';
lab3.OnMouseDown:=temp.OnMouseDown;

but1:=tbutton.Create(form2);
but1.Parent:=form2;
but1.Top:=75;
but1.Left:=25;
but1.Caption:='OK';
but1.Font.Style:=but1.Font.Style+[fsbold];
but1.Font.Size:=10;
but1.OnClick:=temp.Okclick;

form2.showmodal;
end;

{ lazha }

procedure lazha.AboutShow(Sender: TObject);
begin
if Sinthez1.stayontop1.Checked then
setwindowpos(Application.Handle,HWND_TOPMOST,0,0,0,0,SWP_NOMOVE	or SWP_NOSIZE);
end;

procedure lazha.Formclose(Sender: TObject; var Action: TCloseAction);
var i:byte;
begin
for i:=0 to Sinthez1.PopupMenu1.Items.Count-2 do Sinthez1.PopupMenu1.Items[i].Visible:=true;
Sinthez1.PopupMenu1.Items[Sinthez1.PopupMenu1.Items.Count-1].Visible:=false;
temp.Free;
temp:=nil; //      
TrigPlay:=true;
end;

procedure lazha.LabClick(Sender: TObject);
begin
ShellExecute(Application.Handle,nil,'mailto:pust@ukr.net',nil,nil,SW_SHOWNOACTIVATE);
end;

procedure lazha.LabMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
if ssright in shift then Sinthez1.PopupMenu1.Popup(x+form2.Left+250,y+form2.Top+100);
end;

procedure lazha.LabMouseEnter(Sender: TObject);
begin
lab2.Font.Color:=cllime;
lab2.Cursor:=crhandpoint;
lab2.Font.Style:=tlabel(sender).Font.Style+[fsunderline];
end;

procedure lazha.LabMouseLeave(Sender: TObject);
begin
lab2.Font.Color:=clblack;
lab2.Cursor:=crdefault;
lab2.Font.Style:=[];
end;

procedure lazha.Okclick(Sender: TObject);
begin
Tform(Tbutton(sender).parent).Close;
end;

procedure lazha.OnMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
temp.LabMouseLeave(self);
end;

end.
