unit Unit2;

interface
uses messages, Controls;

const sset: array [1..8] of string =('Default','westminster','PromtImperial','CityBlueprint','EuroRoman','Staccato222 BT','Swis721 BdCnOul BT','ZapfEllipt BT');

Instlist:string=' 0  Acoustic grand piano 1  Bright acoustic piano 2  Electric grand piano 3  Honky-tonk piano 4  Rhodes piano 5  Chorused piano 6  Harpsichord 7  Clavinet 8  Celesta 9  Glockenspiel 10  Music box '+
'11  Vibraphone 12  Marimba 13  Xylophone 14  Tubular bells 15  Dulcimer 16  Hammond organ 17  Percussive organ 18  Rock organ 19  Church organ 20  Reed organ 21  Accordion 22  Harmonica 23  Tango accordion 24  Acoustic guitar (nylon) '+
'25  Acoustic guitar (steel) 26  Electric guitar (jazz) 27  Electric guitar (clean) 28  Electric guitar (muted) 29  Overdriven guitar 30  Distortion guitar 31  Guitar harmonics 32  Acoustic bass 33  Electric bass (finger) '+
'34  Electric bass (pick) 35  Fretless bass 36  Slap bass 1 37  Slap bass 2 38  Synth bass 1 39  Synth bass 2 40  Violin 41  Viola 42  Cello 43  Contrabass 44  Tremolo strings 45  Pizzicato strings 46  Orchestral harp '+
'47  Timpani 48  String ensemble 1 49  String ensemble 2 50  Synth. strings 1 51  Synth. strings 2 52  Choir Aahs 53  Voice Oohs 54  Synth voice 55  Orchestra hit 56  Trumpet 57  Trombone 58  Tuba 59  Muted trumpet 60  French horn '+
'61  Brass section 62  Synth. brass 1 63  Synth. brass 2 64  Soprano sax 65  Alto sax 66  Tenor sax 67  Baritone sax 68  Oboe 69  English horn 70  Bassoon 71  Clarinet 72  Piccolo 73  Flute 74  Recorder 75  Pan flute 76  Bottle blow '+
'77  Shakuhachi 78  Whistle 79  Ocarina 80  Lead 1 (square) 81  Lead 2 (sawtooth) 82  Lead 3 (calliope lead) 83  Lead 4 (chiff lead) 84  Lead 5 (charang) 85  Lead 6 (voice) 86  Lead 7 (fifths) 87  Lead 8 (brass + lead) '+
'88  Pad 1 (new age) 89  Pad 2 (warm) 90  Pad 3 (polysynth) 91  Pad 4 (choir) 92  Pad 5 (bowed) 93  Pad 6 (metallic) 94  Pad 7 (halo) 95  Pad 8 (sweep) 96  FX 1 (rain) 97  FX 2 (soundtrack) 98  FX 3 (crystal) 99  FX 4 (atmosphere) '+
'100  FX 5 (brightness) 101  FX 6 (goblins) 102  FX 7 (echoes) 103  FX 8 (sci-fi) 104  Sitar 105  Banjo 106  Shamisen 107  Koto 108  Kalimba 109  Bagpipe 110  Fiddle 111  Shanai 112  Tinkle bell 113  Agogo 114  Steel drums '+
'115  Woodblock 116  Taiko drum 117  Melodic tom 118  Synth drum 119  Reverse cymbal 120  Guitar fret noise 121  Breath noise 122  Seashore 123  Bird tweet 124  Telephone ring 125  Helicopter 126  Applause 127  Gunshot 128  Drums (additional) 129';

identefaer='MIDISynthesizerFile';

type item=record
time:cardinal;//  ,   
key:word;//   - realkeycode
push:boolean;//  
//echo:word;//     (   ,      (?))
//echo1:word;//  
//echo2:word;
//echo3:word;
volume:cardinal;
end;

type TSreda = record //      ,   ,   ,   ,  setDefault
   device:byte; //    3
   instrument:array [1..16] of byte;  //       
   usecheck:array [1..16] of boolean;//     
   edicheck:array [1..16] of boolean;//     ( 16   ,    ,  )
   chanvolume:array [0..1,1..16] of byte;  // 0 -   1 - 
   chanpitch:array [0..1,1..16] of byte;
   chanoctave:array [0..1,1..16] of byte;
   upperchannel:byte;
   downchannel:byte;
   metronomcheck:boolean;
   metronomtime:integer;
   fonttimer:byte;    //* (* -          ( ))
   winamp:boolean;    //*   
   autostop:boolean;  //*
   ontop:boolean;     //*
   genvolume:cardinal;//*     
   loop:boolean;      //*
   Slider:cardinal; //  
   end;


function FormatTime(TimeMS:cardinal):string;
function Int2Str(Val: Integer): string;
function Str2Int(s:string):integer;
//function FindFromPos(Substr,s:string;Pos:integer=1):integer;

implementation

uses unit1, Windows;

function FormatTime(TimeMS:cardinal):string; //   
var min,sec,ms:string;
label res;
begin
min:=int2str(TimeMS div 60000);
if str2int(min)<10 then min:='0'+min;
sec:=int2str((integer(TimeMS)-(str2int(min)*60000))div 1000);
if str2int(sec)<10 then sec:='0'+sec;
ms:=int2str(integer(TimeMS)-str2int(min)*60000-str2int(sec)*1000);
if ms='00' then begin ms:='000';goto res; end;
if str2int(ms)<10 then begin ms:='00'+ms;goto res; end;
if str2int(ms)<100 then ms:='0'+ms;
res:
result:=min+':'+sec+':'+ms;
end;

function Int2Str(Val: Integer): string;
var
  r: Cardinal;
  k: Boolean;
  m: array [0..9] of char;
  i: shortint;
begin
  if Val<0 then begin
    k := True;
    Val := ABS(Val);
  end else k := False; //k -   

  for i:=0 to 9 do m[i]:=#0; //   

  i := 9; //i -    
  repeat begin
    asm
      mov  EAX, Val;
      push EAX; //   

      mov EDX, 3435973837; //Val div 10
      mul EDX;
      shr EDX, 35; // EDX      ,  Val 

      mov Val, EDX; //  Val
      mov EAX, Val;

      lea EAX, [EAX+4*EAX]; //Val*10
      add EAX, EAX;

      mov EDX, EAX;
      pop EAX;
      sub EAX, EDX; //Val:=Val() - Val(  10  )

      lea EAX, [EAX+48]; // Val+48

      mov r, EAX; //r :=   
    end;

    m[i] := char(r); //      
    Dec(i);
  end until Val=0;

  i := 8; //    
  while m[0]=#0 do begin
    for r:=0 to i do m[r]:=m[r+1];
    m[i+1] := #0;
    Dec(i);
  end;

  if k then result := '-'+m
  else result := m;
end;


function Str2Int(s:string):integer;
var res,pw,k:integer;
i,range:byte;
begin
if s[1]='-' then begin
range:=1;
k:=-1;
end else begin
range:=0;
k:=1;
end;
pw:=1;
i:=length(s);
result:=0;
while i<>range do begin
res:=(byte(s[i])-48)*pw;
result:=res+result;
pw:=pw*10;
dec(i);
end;
result:=result*k;
end;

{function FindFromPos(Substr,s:string;Pos:integer=1):integer;
var i,len1,len2:integer;
trigger:boolean;
begin
result:=0;
len1:=length(s);
if len1<pos then exit;
len2:=length(substr);
dec(pos);
repeat begin
trigger:=true;
for i:=1 to len2 do if s[pos+i]<>substr[i] then begin trigger:=false; break; end;
inc(pos);
if trigger then begin result:=pos; exit; end;
end until pos=len1;
end;}

end.
